Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class UDSColumnInfo

    java.lang.Object
      jet.api.UDSColumnInfo

    public class UDSColumnInfo

extends java.lang.Object

This class used to store the columns information that returned from result set .

Constructor Summary
`UDSColumnInfo()` The constructor.construct a UDS column infomation
`UDSColumnInfo(java.lang.String strName, int iIndex, int iSQLType, java.lang.String strSQLTypeName, int iPrecision, int iLength, int iScale, int iRadix, int iNullable, java.lang.String strRemarks)` The constructor.construct a UDS column infomation

Method Summary
`void` | `add(java.lang.String strName, int iIndex, int iSQLType, java.lang.String strSQLTypeName, int iPrecision, int iLength, int iScale, int iRadix, int iNullable, java.lang.String strRemarks)` create a UDS column infomation
`int` | `getDataType()` get column data type
`int` | `getIndex()` get column index in resultset
`int` | `getLength()` get column length
`java.lang.String` | `getName()` get column name
`int` | `getNullable()` get column nullable status
`int` | `getPrecision()` get column precision.
`int` | `getRadix()` get column radix
`java.lang.String` | `getRemarks()` get column remarks
`int` | `getScale()` get column scale
`java.lang.String` | `getSQLTypeName()` get column data type name.
`void` | `setDataType(int iSQLType)` set column data type
`void` | `setLength(int iLength)` set column name
`void` | `setName(java.lang.String strName)` set column name
`void` | `setNullable(int iNullable)` set column name
`void` | `setPrecision(int iPrecision)` set column precision
`void` | `setRadix(int iRadix)` set column name
`void` | `setRemarks(java.lang.String strRemarks)` set column remarks
`void` | `setScale(int iScale)` set column name
`void` | `setSQLTypeName(java.lang.String strSQLTypeName)` set column SQLTypeName
`java.lang.String` | `toString()` Show column information.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UDSColumnInfo

    public UDSColumnInfo()

  The constructor.construct a UDS column infomation

### UDSColumnInfo

    public UDSColumnInfo(java.lang.String strName,
                         int iIndex,
                         int iSQLType,
                         java.lang.String strSQLTypeName,
                         int iPrecision,
                         int iLength,
                         int iScale,
                         int iRadix,
                         int iNullable,
                         java.lang.String strRemarks)

  The constructor.construct a UDS column infomation

  Parameters:
    `strName` - The column name
    `iIndex` - The column index in ResultSet
    `iSQLType` - The column type infomation. The same as java.sql.Types
    `strSQLTypeName` - The column type name defined in DBMS
    `iPrecision` - The precision of column.
    `iLength` - The length of column
    `iScale` - The scale of column
    `iRadix` - The radix of column
    `iNullable` - The null status of column
    `strRemarks` - The remark of column.

Method Detail

### add

    public void add(java.lang.String strName,
                    int iIndex,
                    int iSQLType,
                    java.lang.String strSQLTypeName,
                    int iPrecision,
                    int iLength,
                    int iScale,
                    int iRadix,
                    int iNullable,
                    java.lang.String strRemarks)

  create a UDS column infomation

  Parameters:
    `strName` - The column name
    `iIndex` - The column index in ResultSet
    `iSQLType` - The column type infomation. The same as java.sql.Types
    `strSQLTypeName` - The column type name defined in DBMS
    `iPrecision` - The precision of column.
    `iLength` - The length of column
    `iScale` - The scale of column
    `iRadix` - The radix of column
    `iNullable` - The null status of column
    `strRemarks` - The remark of column.

### getName

    public java.lang.String getName()

  get column name

  Returns:
    column name

### getIndex

    public int getIndex()

  get column index in resultset

  Returns:
    column index in resultset

### getDataType

    public int getDataType()

  get column data type

  Returns:
    SQL Type

### getSQLTypeName

    public java.lang.String getSQLTypeName()

  get column data type name.

  Returns:
    column SQL type name.

### getPrecision

    public int getPrecision()

  get column precision.

  Returns:
    get column precision

### getLength

    public int getLength()

  get column length

  Returns:
    get column length

### getScale

    public int getScale()

  get column scale

  Returns:
    column scale

### getRadix

    public int getRadix()

  get column radix

  Returns:
    column radix

### getNullable

    public int getNullable()

  get column nullable status

  Returns:
    column nullable status

### getRemarks

    public java.lang.String getRemarks()

  get column remarks

  Returns:
    column remarks

### setName

    public void setName(java.lang.String strName)

  set column name

  Parameters:
    `strName` - column name

### setDataType

    public void setDataType(int iSQLType)

  set column data type

  Parameters:
    `iSQLType` - column SQL type

### setSQLTypeName

    public void setSQLTypeName(java.lang.String strSQLTypeName)

  set column SQLTypeName

  Parameters:
    `strSQLTypeName` - column SQL type name

### setPrecision

    public void setPrecision(int iPrecision)

  set column precision

  Parameters:
    `iPrecision` - column precision

### setLength

    public void setLength(int iLength)

  set column name

  Parameters:
    `iLength` - column length

### setScale

    public void setScale(int iScale)

  set column name

  Parameters:
    `iScale` - column scale

### setRadix

    public void setRadix(int iRadix)

  set column name

  Parameters:
    `iRadix` - column radix

### setNullable

    public void setNullable(int iNullable)

  set column name

  Parameters:
    `iNullable` - column nullable status

### setRemarks

    public void setRemarks(java.lang.String strRemarks)

  set column remarks

  Parameters:
    `strRemarks` - column remark

### toString

    public java.lang.String toString()

  Show column information.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD